:root {
    /*Base color using HSL */
    --hue: 270;
    --saturation: 100%;
    --color00: hsl(var(--hue), var(--saturation), 0%);
    --color05: hsl(var(--hue), var(--saturation), 5%);
    --color10: hsl(var(--hue), var(--saturation), 10%);
    --color15: hsl(var(--hue), var(--saturation), 15%);
    --color20: hsl(var(--hue), var(--saturation), 20%);
    --color25: hsl(var(--hue), var(--saturation), 25%);
    --color30: hsl(var(--hue), var(--saturation), 30%);
    --color35: hsl(var(--hue), var(--saturation), 35%);
    --color40: hsl(var(--hue), var(--saturation), 40%);
    --color45: hsl(var(--hue), var(--saturation), 45%);
    --color50: hsl(var(--hue), var(--saturation), 50%);
    --color55: hsl(var(--hue), var(--saturation), 55%);
    --color60: hsl(var(--hue), var(--saturation), 60%);
    --color65: hsl(var(--hue), var(--saturation), 65%);
    --color70: hsl(var(--hue), var(--saturation), 70%);
    --color75: hsl(var(--hue), var(--saturation), 75%);
    --color80: hsl(var(--hue), var(--saturation), 80%);
    --color85: hsl(var(--hue), var(--saturation), 85%);
    --color90: hsl(var(--hue), var(--saturation), 90%);
    --color95: hsl(var(--hue), var(--saturation), 95%);
    --color100: hsl(var(--hue), var(--saturation), 100%);
}

.box-input {
    max-width: 200px;
}

/*
 * Component: Small Box
 * --------------------
 */
.small-box {
    border-radius: 2px;
    position: relative;
    display: block;
    margin-bottom: 20px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}

.small-box > .inner {
    padding: 10px;
}

.small-box > .small-box-footer {
    position: relative;
    text-align: center;
    padding: 3px 0;
    color: #fff;
    color: rgba(255, 255, 255, 0.8);
    display: block;
    z-index: 10;
    background: rgba(0, 0, 0, 0.1);
    text-decoration: none;
}

.small-box > .small-box-footer:hover {
    color: #fff;
    background: rgba(0, 0, 0, 0.15);
}

.small-box h3 {
    font-size: 38px;
    font-weight: bold;
    margin: 0 0 10px 0;
    white-space: nowrap;
    padding: 0;
}

.small-box p {
    font-size: 15px;
}

.small-box p > small {
    display: block;
    color: #f9f9f9;
    font-size: 13px;
    margin-top: 5px;
}

.small-box h3,
.small-box p {
    z-index: 5;
}

.small-box .icon {
    -webkit-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
    position: absolute;
    top: -10px;
    right: 10px;
    z-index: 0;
    font-size: 90px;
    color: rgba(0, 0, 0, 0.15);
}

.small-box:hover {
    text-decoration: none;
    /*color: #f9f9f9;*/
}

.small-box:hover .icon {
    font-size: 95px;
}

@media (max-width: 767px) {
    .small-box {
        text-align: center;
    }

    .small-box .icon {
        display: none;
    }

    .small-box p {
        font-size: 12px;
    }
}

/*
 * Component: Box
 * --------------
 */
.box {
    position: relative;
    border-radius: 3px;
    background: #ffffff;
    border-top: 3px solid #d2d6de;
    margin-bottom: 20px;
    width: 100%;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}

.box.box-primary {
    border-top-color: #3c8dbc;
}

.box.box-info {
    border-top-color: #00c0ef;
}

.box.box-danger {
    border-top-color: #dd4b39;
}

.box.box-warning {
    border-top-color: #f39c12;
}

.box.box-success {
    border-top-color: #00a65a;
}

.box.collapsed-box .box-body,
.box.collapsed-box .box-footer {
    display: none;
}

.box .nav-stacked > li {
    border-bottom: 1px solid #f4f4f4;
    margin: 0;
}

.box .nav-stacked > li:last-of-type {
    border-bottom: none;
}

.box.height-control .box-body {
    max-height: 300px;
    overflow: auto;
}

.box .border-right {
    border-right: 1px solid #f4f4f4;
}

.box .border-left {
    border-left: 1px solid #f4f4f4;
}

.box.box-solid {
    border-top: 0;
}

.box.box-solid > .box-header .btn.btn-default {
    background: transparent;
}

.box.box-solid > .box-header .btn:hover,
.box.box-solid > .box-header a:hover {
    background: rgba(0, 0, 0, 0.1);
}

.box.box-solid.box-default {
    border: 1px solid var(--color80);
}

.box.box-solid.box-default > .box-header {
    color: var(--color30);
    background-color: var(--color80);
}

.box.box-solid.box-default > .box-header a,
.box.box-solid.box-default > .box-header .btn {
    color: var(--color30);
}

.box.box-solid.box-primary {
    border: 1px solid var(--color25);
}

.box.box-solid.box-primary > .box-header {
    color: #ffffff;
    background-color: var(--color25);
}

.box.box-solid.box-primary > .box-header a,
.box.box-solid.box-primary > .box-header .btn {
    color: #ffffff;
}

.box.box-solid.box-info {
    border: 1px solid var(--color65);
}

.box.box-solid.box-info > .box-header {
    color: #ffffff;
    background-color: var(--color65);
}

.box.box-solid.box-info > .box-header a,
.box.box-solid.box-info > .box-header .btn {
    color: #ffffff;
}

.box.box-solid.box-danger {
    border: 1px solid var(--color55);
}

.box.box-solid.box-danger > .box-header {
    color: #ffffff;
    background-color: var(--color55);
}

.box.box-solid.box-danger > .box-header a,
.box.box-solid.box-danger > .box-header .btn {
    color: #ffffff;
}

.box.box-solid.box-warning {
    border: 1px solid var(--color45);
}

.box.box-solid.box-warning > .box-header {
    color: #ffffff;
    background-color: var(--color45);
}

.box.box-solid.box-warning > .box-header a,
.box.box-solid.box-warning > .box-header .btn {
    color: #ffffff;
}

.box.box-solid.box-success {
    border: 1px solid var(--color35);
}

.box.box-solid.box-success > .box-header {
    color: #ffffff;
    background-color: var(--color35);
}

.box.box-solid.box-success > .box-header a,
.box.box-solid.box-success > .box-header .btn {
    color: #ffffff;
}

.box.box-solid > .box-header > .box-tools .btn {
    border: 0;
    box-shadow: none;
}

.box.box-solid[class*="bg"] > .box-header {
    color: #fff;
}

.box .box-group > .box {
    margin-bottom: 5px;
}

.box .knob-label {
    text-align: center;
    color: #333;
    font-weight: 100;
    font-size: 12px;
    margin-bottom: 0.3em;
}

.box > .overlay,
.overlay-wrapper > .overlay,
.box > .loading-img,
.overlay-wrapper > .loading-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.box .overlay,
.overlay-wrapper .overlay {
    z-index: 50;
    background: rgba(255, 255, 255, 0.7);
    border-radius: 3px;
}

.box .overlay > .fa,
.overlay-wrapper .overlay > .fa {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -15px;
    margin-top: -15px;
    color: #000;
    font-size: 30px;
}

.box .overlay.dark,
.overlay-wrapper .overlay.dark {
    background: rgba(0, 0, 0, 0.5);
}

.box-header:before,
.box-body:before,
.box-footer:before,
.box-header:after,
.box-body:after,
.box-footer:after {
    content: " ";
    display: table;
}

.box-header:after,
.box-body:after,
.box-footer:after {
    clear: both;
}

.box-header {
    color: #444;
    display: block;
    padding: 10px;
    position: relative;
}

.box-header.with-border {
    border-bottom: 1px solid #f4f4f4;
}

.collapsed-box .box-header.with-border {
    border-bottom: none;
}

.box-header > .fa,
.box-header > .glyphicon,
.box-header > .ion,
.box-header .box-title {
    display: inline-block;
    font-size: 18px;
    margin: 0;
    line-height: 1;
}

.box-header > .fa,
.box-header > .glyphicon,
.box-header > .ion {
    margin-right: 5px;
}

.box-header > .box-tools {
    position: absolute;
    right: 10px;
    top: 5px;
}

.box-header > .box-tools [data-toggle="tooltip"] {
    position: relative;
}

.box-header > .box-tools.pull-right .dropdown-menu {
    right: 0;
    left: auto;
}

.box-header > .box-tools .dropdown-menu > li > a {
    color: #444 !important;
}

.btn-box-tool {
    padding: 5px;
    font-size: 12px;
    background: transparent;
    color: #97a0b3;
}

.open .btn-box-tool,
.btn-box-tool:hover {
    color: #606c84;
}

.btn-box-tool.btn:active {
    box-shadow: none;
}

.box-body {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
    padding: 10px;
}

.no-header .box-body {
    border-top-right-radius: 3px;
    border-top-left-radius: 3px;
}

.box-body > .table {
    margin-bottom: 0;
}

.box-body .fc {
    margin-top: 5px;
}

.box-body .full-width-chart {
    margin: -19px;
}

.box-body.no-padding .full-width-chart {
    margin: -9px;
}

.box-body .box-pane {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 3px;
}

.box-body .box-pane-right {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 0;
}

.box-footer {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
    border-top: 1px solid #f4f4f4;
    padding: 10px;
    background-color: #ffffff;
}

.chart-legend {
    margin: 10px 0;
}

@media (max-width: 991px) {
    .chart-legend > li {
        float: left;
        margin-right: 10px;
    }
}

.box-comments {
    background: #f7f7f7;
}

.box-comments .box-comment {
    padding: 8px 0;
    border-bottom: 1px solid #eee;
}

.box-comments .box-comment:before,
.box-comments .box-comment:after {
    content: " ";
    display: table;
}

.box-comments .box-comment:after {
    clear: both;
}

.box-comments .box-comment:last-of-type {
    border-bottom: 0;
}

.box-comments .box-comment:first-of-type {
    padding-top: 0;
}

.box-comments .box-comment img {
    float: left;
}

.box-comments .comment-text {
    margin-left: 40px;
    color: #555;
}

.box-comments .username {
    color: #444;
    display: block;
    font-weight: 600;
}

.box-comments .text-muted {
    font-weight: 400;
    font-size: 12px;
}

/*
 * Component: Info Box
 * -------------------
 */
.info-box {
    display: block;
    min-height: 90px;
    background: #fff;
    width: 100%;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    border-radius: 2px;
    margin-bottom: 15px;
}

.info-box small {
    font-size: 14px;
}

.info-box .progress {
    background: rgba(0, 0, 0, 0.2);
    margin: 5px -10px 5px -10px;
    height: 2px;
}

.info-box .progress,
.info-box .progress .progress-bar {
    border-radius: 0;
}

.info-box .progress .progress-bar {
    background: #fff;
}

.info-box-icon {
    border-top-left-radius: 2px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 2px;
    display: block;
    float: left;
    height: 90px;
    width: 90px;
    text-align: center;
    font-size: 45px;
    line-height: 90px;
    background: rgba(0, 0, 0, 0.2);
}

.info-box-icon > img {
    max-width: 100%;
}

.info-box-content {
    padding: 5px 10px;
    margin-left: 90px;
}

.info-box-number {
    display: block;
    font-weight: bold;
    font-size: 18px;
}

.info-box-text {
    display: block;
    font-size: 14px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.info-box-text {
    text-transform: uppercase;
}

.info-box-more {
    display: block;
}

.mobile-grid {
    display: grid;
    position: absolute;
    z-index: 9999;
    width: calc(100% - 32px);
    background-color: white !important;
    border: 1px solid silver;
    border-radius: 5px;
}

.date > input {
    min-width: 147px !important;
}

/* Style Input Range */

input[type="range"] {
    height: 26px;
    -webkit-appearance: none;
    margin: 10px 0;
    width: 100%;
}
input[type="range"]:focus {
    outline: none;
}
input[type="range"]::-webkit-slider-runnable-track {
    width: 100%;
    height: 11px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: 0px 0px 0px #000000;
    background: #2497e3;
    border-radius: 5px;
    border: 0px solid #000000;
}
input[type="range"]::-webkit-slider-thumb {
    box-shadow: 0px 0px 0px #000000;
    border: 2px solid #1079e3;
    height: 18px;
    width: 18px;
    border-radius: 25px;
    background: #a1d0ff;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -4.5px;
}
input[type="range"]:focus::-webkit-slider-runnable-track {
    background: #2497e3;
}
input[type="range"]::-moz-range-track {
    width: 100%;
    height: 11px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: 0px 0px 0px #000000;
    background: #2497e3;
    border-radius: 5px;
    border: 0px solid #000000;
}
input[type="range"]::-moz-range-thumb {
    box-shadow: 0px 0px 0px #000000;
    border: 2px solid #1079e3;
    height: 18px;
    width: 18px;
    border-radius: 25px;
    background: #a1d0ff;
    cursor: pointer;
}
input[type="range"]::-ms-track {
    width: 100%;
    height: 11px;
    cursor: pointer;
    animate: 0.2s;
    background: transparent;
    border-color: transparent;
    color: transparent;
}
input[type="range"]::-ms-fill-lower {
    background: #2497e3;
    border: 0px solid #000000;
    border-radius: 10px;
    box-shadow: 0px 0px 0px #000000;
}
input[type="range"]::-ms-fill-upper {
    background: #2497e3;
    border: 0px solid #000000;
    border-radius: 10px;
    box-shadow: 0px 0px 0px #000000;
}
input[type="range"]::-ms-thumb {
    margin-top: 1px;
    box-shadow: 0px 0px 0px #000000;
    border: 2px solid #1079e3;
    height: 18px;
    width: 18px;
    border-radius: 25px;
    background: #a1d0ff;
    cursor: pointer;
}
input[type="range"]:focus::-ms-fill-lower {
    background: #2497e3;
}
input[type="range"]:focus::-ms-fill-upper {
    background: #2497e3;
}

/* select2 */

.select2-container--default .select2-selection--multiple {
    position: relative;
    padding-right: 34px;
    max-height: 600px;
    overflow-x: hidden;
    overflow-y: auto;
    min-height: 34px;
}

.select2-container .select2-search--inline .select2-search__field {
    margin-top: 6px !important;
    font-size: 14px;
}

/* Always-visible Select All / Clear All button */
.select2-container--default .select2-selection--multiple .select2-selection__clear {
    position: absolute;
    top: 4px;
    right: 5px;
    z-index: 20;

    width: 24px;
    height: 24px;
    margin: 0;
    padding: 0;

    border: 0;
    outline: 0;
    background: transparent;

    color: #888;
    font-size: 16px;
    font-weight: bold;
    line-height: 22px;
    text-align: center;
    cursor: pointer;
}

.select2-container--default .select2-selection--multiple .select2-selection__clear:hover {
    color: #222;
}

.select2-container--default .select2-selection--multiple {
    padding-bottom: 6px;
}

.select2-selection__count {
    display: inline-block;
    padding: 5px 8px;
    font-weight: 600;
    list-style: none;
}
